%global upname xfswitch-plugin

Name:           xfce4-xfswitch-plugin
Version:        0.0.1
Release:        11%{?dist}
Summary:        User switching plugin for the Xfce4 Panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{upname}
Source0:        http://archive.xfce.org/src/panel-plugins/%{upname}/0.0/%{upname}-0.0.1.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  xfce4-panel-devel >= 4.4
BuildRequires:  libxfcegui4-devel
BuildRequires:  gettext intltool
Requires:       xfce4-panel >= 4.4.0
Requires:       gdm
Provides:       %{upname} = %{name}-%{version}

%description
Xfswitch-plugin is a user switching plugin for the Xfce4 Panel. It allows you 
to leave the current session opened and open a new session with another user. 
At the moment it relies on GDM, but other display managers will be supported 
in the future. 


%prep
%setup -qn %{upname}-%{version}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{upname}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{upname}.lang
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog COPYING NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{upname}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 0.0.1-7
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 0.0.1-6
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.0.1-4
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 0.0.1-2
- Rebuild for Xfce 4.8

* Thu Feb 26 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.1-1
- Initial RPM package
